#include "kick.hh"

bool Kick::operator== (const Kick &b) const
{
    return nick == b.nick && parm == b.parm;
}

void Kick::setparm(const string &s)
{
    parm = s;
}

#include <cstdio>
using std::printf;
void Kick::dump() const
{
    printf("%s %s", nick.c_str(), parm.c_str());
}

string strgroup(const list<Kick> &l)
{
    string s;
    
    list<Kick>::const_iterator i;
    for(i=l.begin(); i!=l.end(); ++i)
    {
        if(s.size())s += ',';
        s += i->getnick();
    }
    string r;
    for(i=l.begin(); i!=l.end(); ++i)
    {
        if(r != i->getparm())
        {
            r = i->getparm();
            s += ' ';
            s += r;
        }
    }
    return s;
}

bool Kick::compatible(const Kick &b) const
{
    return getparm() == b.getparm();
}
